import Component  from '../component.js'

export default class CoUxBlockContent extends Component {
    constructor(parent) {
      let selector = 'div[@data-e2e="ux-block-content"]';
      super(parent, selector);
    }
    async isBlocked() {
      let cl = await (await this.element()).getAttribute('class');
      if ((cl).includes('ux-is-active')) {
         return true;
      } else {
         return false;
      }
    }
}

